Index: /equalization_gain/trunk/README_camille
===================================================================
--- /equalization_gain/trunk/README_camille	(revision 207)
+++ /equalization_gain/trunk/README_camille	(revision 208)
@@ -108,4 +108,12 @@
 % .q
 
+8bis) You can also run the with root the App PlotScurvesAllMain as follow:
+
+% ../../src/PlotScurvesAllMain
+
+It will also produce the .data file described at step 9). You have to go directly to step 10) then. 
+
+However you will have to "make clean" & "make" after changing fitting parameters etc.
+
 9) Now we chose the header parameters we can make the new gain table. Run:
 
@@ -117,5 +125,5 @@
 Do the same instructions for an other ASIC (D one for example).
 
-Go back in the previous folder to run the makeGainTable.sh bash script. But first, modify parameters of it as name of file and created .txt. You also have to make modification depending on whether you use type C or D ASICs :
+10) Go back in the previous folder to run the makeGainTable.sh bash script. But first, modify parameters of it as name of file and created .txt. You also have to make modification depending on whether you use type C or D ASICs :
 
 % cd ../
Index: /equalization_gain/trunk/src/PlotScurvesAll-diffFit.cc
===================================================================
--- /equalization_gain/trunk/src/PlotScurvesAll-diffFit.cc	(revision 207)
+++ /equalization_gain/trunk/src/PlotScurvesAll-diffFit.cc	(revision 208)
@@ -18,7 +18,7 @@
 #include "PlotScurvesAll-diffFit.h"
 
-//#if defined(__CINT__) && !defined(__MAKECINT__) 
+//#if defined(__CINT__) && !defined(__MAKECINT__)
 //#include "PlotScurveAll-diffFit.h"
-//#else 
+//#else
 //#include "PlotScurvesAll-diffFit.h"
 //#endif
@@ -40,12 +40,12 @@
 void Help()
 {
-
-  cout << "This is the Help of the PlotScurveAll-diffFit" <<endl;
-  cout << " Version 1.0 frol September 24 2013 " <<endl;
-  cout << " Main author Hiroko Miyamoto " << endl;
-  cout << " ==> Please in ROOT interpreter, issue the command .L PlotScurvesAll-diffFit.cc " <<endl;
-  cout << " ==> Then play with PlotScurve() function " << endl;
-  cout << " ==> If you need more information, please type Menu()" << endl;
-   
+    
+    cout << "This is the Help of the PlotScurveAll-diffFit" <<endl;
+    cout << " Version 1.0 frol September 24 2013 " <<endl;
+    cout << " Main author Hiroko Miyamoto " << endl;
+    cout << " ==> Please in ROOT interpreter, issue the command .L PlotScurvesAll-diffFit.cc " <<endl;
+    cout << " ==> Then play with PlotScurve() function " << endl;
+    cout << " ==> If you need more information, please type Menu()" << endl;
+    
 }
 //--------------------------------------------------------------------------------------------------------
@@ -54,41 +54,41 @@
 void Menu()
 {
- cout << "This is the Detailed menu information for running the PlotScurveAll-diffFit" <<endl;
-
- cout << " void PlotScurve( " << endl;
- cout << " \t " <<  " Int_t    kDrawCh=31, " << endl;
- cout << " \t " <<  " TString  fname=kFname, " << endl;
- cout << " \t " <<  " TString  fname_ped=kFnamePed, //ASIC_D ped_file " << endl;
- cout << " \t " <<  " Double_t dac_half_spe_fix = -1," << endl;
- cout << " \t " <<  " TString  fname_gain=\"gain-org.txt\"," << endl;
- cout << " \t " <<  " Int_t    fit_min=kFitMin," << endl;
- cout << " \t " <<  " Int_t    fit_max=kFitMax," << endl;
- cout << " \t " <<  " Int_t    fit_min_scurve=kFitMinS," << endl;
- cout << " \t " <<  " Int_t    fit_max_scurve=kFitMaxS," << endl;
- cout << " \t " <<  " Bool_t   kBoard=1, //0:ASIC_C, 1:ASIC_D " << endl;
- cout << " \t " <<  " Int_t    kChRef=kRefCh,//ASIC_C " << endl;
- cout << " \t " <<  " Bool_t   checkAve=0 //0:use ref pix, 1:check average " << endl;
- cout << " ) " << endl;		
- cout << "Set the parameters on the top of the program depending on your analysis:  " << endl;
- cout << "General policy: parameters starting with a \"k\" at the beginning is fixed gloval parameter and usually set in the header file, never change through the program. " << endl;
- cout << " : " << endl;
- cout << " - kDrawCh: channel just you want to check on display. doens't effect the analysis. " << endl;
- 
- cout << " - fname, fname_ped (kFname, kFnamePed): \"YOUR DATA FILE\" without .data"  << endl;
- cout << " See examples in the header file. " << endl;
- cout << " - dac_half_spe_fix: set DAC value only when you want to adjust the gain to particular pulse height (DAC value) instead of either average of the pulse height of reference pixel. Usually just leave it -1. " << endl;
- cout << " - fit_min, fit_max (kFitMin, kFitMax): leave them as default, it is not currently used for the analysis."  << endl;
- cout << " - fit_min_scurve, fit_max_scurve (kFitMinS, kFitMaxS): define the range of s-curve fitting. search proper values by yourself with running root program a few times."  << endl;
- cout << " - kBoard: don't forget to change 0(C) or 1(D) depending on which ASIC you're analysing "  << endl;
- cout << " - kChRef (kRefCh): a pixel whose gain remains 64 thorough the gain adjustment. " << endl;
- cout << " - checkAve: for the first run, set this parameter 1, and find a pixel which remains 64. In the case of parameter 1, all the gains are adjusted to the average pulse height. " << endl;
-   cout <<  " Once you choose the reference pixel, set the parameter 0, as well as set kRefCh the pixel number. (better to keep in the header file for the record of each PMTs.) " << endl;
-
-   cout << " Actual configuration " << endl;
-   cout << " \t " <<  "TString kFname = " << kFname << endl;
-   cout << " \t " <<  "TString  kFnamePed = " << kFnamePed  << endl;
-   cout << " \t " <<  "Int_t kFitMin = " << kFitMin << endl; 
-   cout << " \t " <<  "Int_t kFitMax = " << kFitMax << endl;
-
+    cout << "This is the Detailed menu information for running the PlotScurveAll-diffFit" <<endl;
+    
+    cout << " void PlotScurve( " << endl;
+    cout << " \t " <<  " Int_t    kDrawCh=31, " << endl;
+    cout << " \t " <<  " TString  fname=kFname, " << endl;
+    cout << " \t " <<  " TString  fname_ped=kFnamePed, //ASIC_D ped_file " << endl;
+    cout << " \t " <<  " Double_t dac_half_spe_fix = -1," << endl;
+    cout << " \t " <<  " TString  fname_gain=\"gain-org.txt\"," << endl;
+    cout << " \t " <<  " Int_t    fit_min=kFitMin," << endl;
+    cout << " \t " <<  " Int_t    fit_max=kFitMax," << endl;
+    cout << " \t " <<  " Int_t    fit_min_scurve=kFitMinS," << endl;
+    cout << " \t " <<  " Int_t    fit_max_scurve=kFitMaxS," << endl;
+    cout << " \t " <<  " Bool_t   kBoard=1, //0:ASIC_C, 1:ASIC_D " << endl;
+    cout << " \t " <<  " Int_t    kChRef=kRefCh,//ASIC_C " << endl;
+    cout << " \t " <<  " Bool_t   checkAve=0 //0:use ref pix, 1:check average " << endl;
+    cout << " ) " << endl;
+    cout << "Set the parameters on the top of the program depending on your analysis:  " << endl;
+    cout << "General policy: parameters starting with a \"k\" at the beginning is fixed gloval parameter and usually set in the header file, never change through the program. " << endl;
+    cout << " : " << endl;
+    cout << " - kDrawCh: channel just you want to check on display. doens't effect the analysis. " << endl;
+    
+    cout << " - fname, fname_ped (kFname, kFnamePed): \"YOUR DATA FILE\" without .data"  << endl;
+    cout << " See examples in the header file. " << endl;
+    cout << " - dac_half_spe_fix: set DAC value only when you want to adjust the gain to particular pulse height (DAC value) instead of either average of the pulse height of reference pixel. Usually just leave it -1. " << endl;
+    cout << " - fit_min, fit_max (kFitMin, kFitMax): leave them as default, it is not currently used for the analysis."  << endl;
+    cout << " - fit_min_scurve, fit_max_scurve (kFitMinS, kFitMaxS): define the range of s-curve fitting. search proper values by yourself with running root program a few times."  << endl;
+    cout << " - kBoard: don't forget to change 0(C) or 1(D) depending on which ASIC you're analysing "  << endl;
+    cout << " - kChRef (kRefCh): a pixel whose gain remains 64 thorough the gain adjustment. " << endl;
+    cout << " - checkAve: for the first run, set this parameter 1, and find a pixel which remains 64. In the case of parameter 1, all the gains are adjusted to the average pulse height. " << endl;
+    cout <<  " Once you choose the reference pixel, set the parameter 0, as well as set kRefCh the pixel number. (better to keep in the header file for the record of each PMTs.) " << endl;
+    
+    cout << " Actual configuration " << endl;
+    cout << " \t " <<  "TString kFname = " << kFname << endl;
+    cout << " \t " <<  "TString  kFnamePed = " << kFnamePed  << endl;
+    cout << " \t " <<  "Int_t kFitMin = " << kFitMin << endl;
+    cout << " \t " <<  "Int_t kFitMax = " << kFitMax << endl;
+    
 }
 //--------------------------------------------------------------------------------------------------------
@@ -97,17 +97,17 @@
 void InitRoot()
 {
-
-  gStyle->SetTitleFillColor(kWhite);
-  gStyle->SetTitleColor(kBlue,"xyz");
-  gStyle->SetTitleSize(0.03,"xyz");
-  gStyle->SetLabelSize(0.03,"xyz");
-  gStyle->SetLabelColor(kBlue,"xyz");
-  gStyle->SetAxisColor(kMagenta);
-  gStyle->SetPalette(1,0);
-  gStyle->SetOptFit(101);
-  gStyle->SetOptStat(0);
-  
-  //  gStyle->SetOptStat("emr");
-  gStyle->SetOptStat("");
+    
+    gStyle->SetTitleFillColor(kWhite);
+    gStyle->SetTitleColor(kBlue,"xyz");
+    gStyle->SetTitleSize(0.03,"xyz");
+    gStyle->SetLabelSize(0.03,"xyz");
+    gStyle->SetLabelColor(kBlue,"xyz");
+    gStyle->SetAxisColor(kMagenta);
+    gStyle->SetPalette(1,0);
+    gStyle->SetOptFit(101);
+    gStyle->SetOptStat(0);
+    
+    //  gStyle->SetOptStat("emr");
+    gStyle->SetOptStat("");
 }
 //-------------------------------------------------------------------
